com.io7m.r2.core

## Interface R2TextureCubeStaticType

- All Superinterfaces:
    com.io7m.jcanephora.core.JCGLResourceUsableType, R2DeletableType, R2TextureCubeType, R2TextureCubeUsableType, R2TextureUsableType
  All Known Implementing Classes:
    R2TextureCubeStatic

      public interface R2TextureCubeStaticType
      extends R2TextureCubeType

  A simple static cube texture.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default void` | `delete(com.io7m.jcanephora.core.api.JCGLInterfaceGL33Type g)` Delete the current object.
    `default boolean` | `isDeleted()`
    `default <A,B> B` | `matchTexture(A context, BiFunction<A,R2Texture2DUsableType,B> on_2d, BiFunction<A,R2TextureCubeUsableType,B> on_cube)` Match on the type of texture.
    `default com.io7m.jcanephora.core.JCGLTextureCubeUsableType` | `texture()`
    `com.io7m.jcanephora.core.JCGLTextureCubeType` | `textureWritable()`

- - ### Method Detail

    - #### textureWritable

          com.io7m.jcanephora.core.JCGLTextureCubeType textureWritable()

      Specified by:
        `textureWritable` in interface `R2TextureCubeType`
      Returns:
        The current texture

    - #### texture

          default com.io7m.jcanephora.core.JCGLTextureCubeUsableType texture()

      Specified by:
        `texture` in interface `R2TextureCubeUsableType`
      Returns:
        The current texture

    - #### isDeleted

          default boolean isDeleted()

      Specified by:
        `isDeleted` in interface `com.io7m.jcanephora.core.JCGLResourceUsableType`

    - #### delete

          default void delete(com.io7m.jcanephora.core.api.JCGLInterfaceGL33Type g)
                       throws R2Exception

      Description copied from interface: `R2DeletableType`
      Delete the current object.
      Specified by:
        `delete` in interface `R2DeletableType`
      Parameters:
        `g` - An OpenGL interface
      Throws:
        `R2Exception` - On errors

    - #### matchTexture

          default <A,B> B matchTexture(A context,
                                       BiFunction<A,R2Texture2DUsableType,B> on_2d,
                                       BiFunction<A,R2TextureCubeUsableType,B> on_cube)

      Description copied from interface: `R2TextureUsableType`
      Match on the type of texture.
      Specified by:
        `matchTexture` in interface `R2TextureUsableType`
      Type Parameters:
        `A` - The type of context values
        `B` - The type of returned values
      Parameters:
        `context` - A user-defined context value
        `on_2d` - Evaluated on values of type `R2Texture2DUsableType`
        `on_cube` - Evaluated on values of type `R2TextureCubeUsableType`
      Returns:
        The value returned by one of the given functions

Copyright © 2017 <code@io7m.com> http://io7m.com